libwpd: WP6EOLGroup Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WP6EOLGroup Class Reference

`#include <WP6EOLGroup.h>`

Inheritance diagram for WP6EOLGroup:

List of all members.

## Public Member Functions
| WP6EOLGroup (WPXInputStream *input)
| ~WP6EOLGroup ()
virtual void | _readContents (WPXInputStream *input)
virtual void | parse (WP6Listener *listener)
## Private Attributes
uint8_t | m_colSpan
uint8_t | m_rowSpan
bool | m_boundFromLeft
bool | m_boundFromAbove
bool | m_useCellAttributes
bool | m_useCellJustification
bool | m_ignoreInCalculations
bool | m_cellIsLocked
uint32_t | m_cellAttributes
uint8_t | m_cellJustification
WPXVerticalAlignment | m_cellVerticalAlign
RGBSColor * | m_cellFgColor
RGBSColor * | m_cellBgColor
RGBSColor * | m_cellBorderColor
uint8_t | m_cellBorders
bool | m_isHeaderRow
bool | m_isMinimumHeight
uint16_t | m_rowHeight
bool | m_isDontEndAParagraphStyleForThisHardReturn

## Constructor & Destructor Documentation

WP6EOLGroup::WP6EOLGroup | ( | WPXInputStream * | input | ) |

WP6EOLGroup::~WP6EOLGroup | ( |  | ) |

## Member Function Documentation

void WP6EOLGroup::_readContents | ( | WPXInputStream * | input | ) | `[virtual]`

| Reimplemented from WP6VariableLengthGroup.

void WP6EOLGroup::parse | ( | WP6Listener * | listener | ) | `[virtual]`

| Implements WP6Part.

## Member Data Documentation

bool WP6EOLGroup::m_boundFromAbove`[private]`

bool WP6EOLGroup::m_boundFromLeft`[private]`

uint32_t WP6EOLGroup::m_cellAttributes`[private]`

RGBSColor* WP6EOLGroup::m_cellBgColor`[private]`

RGBSColor* WP6EOLGroup::m_cellBorderColor`[private]`

uint8_t WP6EOLGroup::m_cellBorders`[private]`

RGBSColor* WP6EOLGroup::m_cellFgColor`[private]`

bool WP6EOLGroup::m_cellIsLocked`[private]`

uint8_t WP6EOLGroup::m_cellJustification`[private]`

WPXVerticalAlignment WP6EOLGroup::m_cellVerticalAlign`[private]`

uint8_t WP6EOLGroup::m_colSpan`[private]`

bool WP6EOLGroup::m_ignoreInCalculations`[private]`

bool WP6EOLGroup::m_isDontEndAParagraphStyleForThisHardReturn`[private]`

bool WP6EOLGroup::m_isHeaderRow`[private]`

bool WP6EOLGroup::m_isMinimumHeight`[private]`

uint16_t WP6EOLGroup::m_rowHeight`[private]`

uint8_t WP6EOLGroup::m_rowSpan`[private]`

bool WP6EOLGroup::m_useCellAttributes`[private]`

bool WP6EOLGroup::m_useCellJustification`[private]`

The documentation for this class was generated from the following files:

- WP6EOLGroup.h
- WP6EOLGroup.cpp